|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QScreenDriverFactory Class Reference
[QtGui module]

The QScreenDriverFactory class creates screen drivers in Qt for Embedded Linux. More...

     #include <QScreenDriverFactory>

- List of all members, including inherited members

### Static Public Members

- QScreen * create ( const QString & key, int displayId )
- QStringList keys ()

## Detailed Description

The QScreenDriverFactory class creates screen drivers in Qt for Embedded Linux.

Note that this class is only available in Qt for Embedded Linux.

QScreenDriverFactory is used to detect and instantiate the available screen drivers, allowing Qt for Embedded Linux to load the preferred driver into the server application at runtime. The create() function returns a QScreen object representing the screen driver identified by a given key. The valid keys (i.e. the supported drivers) can be retrieved using the keys() function.

Qt for Embedded Linux provides several built-in screen drivers. In addition, custom screen drivers can be added using Qt's plugin mechanism, i.e. by subclassing the QScreen class and creating a screen driver plugin (QScreenDriverPlugin). See the display management documentation for details.

See also QScreen and QScreenDriverPlugin.

## Member Function Documentation

### QScreen * QScreenDriverFactory::create ( const QString & key, int displayId ) `[static]`

Creates the screen driver specified by the given key, using the display specified by the given displayId.

Note that the keys are case-insensitive.

See also keys().

### QStringList QScreenDriverFactory::keys () `[static]`

Returns the list of valid keys, i.e. the available screen drivers.

See also create().